<ng-container *transloco="let t; prefix: 'agentConfiguration'">
  <form [formGroup]="keypairImportForm" class="d-flex flex-column gap-1 row justify-content-start"
        id="keypairImportForm" (ngSubmit)="onSubmit()">
    <div class="col-12 mt-3">{{ t('importKeypair.importKeyPairDescription') }}</div>
    <div class="col-12 mt-2">
      @if (!privateKeyUploaded) {
        <textarea euiTextArea rows="7" placeholder="{{ t('importKeypair.pastePrivateKeyPlaceholder') }}"
                  formControlName="privateKey"></textarea>
      } @else {
        <textarea euiTextArea rows="7" placeholder="{{ t('importKeypair.pastePrivateKeyPlaceholder') }}"
                  [disabled]="true"></textarea>
      }

      @if (!privateKeyUploaded) {
        <button class="eui-u-mt-s" euiButton type="button" euiPrimary (click)="fileInputPrivate.click()"
                [disabled]="privateKey !== ''">
          <eui-icon-svg icon="eui-file-upload"></eui-icon-svg>
          <span euiLabel>{{ t('importKeypair.uploadPrivateKey') }}</span>
        </button>
      }
      @if (privateKeyUploaded) {
        <button class="eui-u-mt-s" euiButton type="button" euiPrimary (click)="onFileDeleted('private')">
          <eui-icon-svg icon="eui-delete-forever"></eui-icon-svg>
          <span euiLabel>{{ t('importKeypair.delete') }}</span>
        </button>
        @if (privateFileInfo?.name && privateFileInfo?.size) {
          <span class="ms-3">{{ privateFileInfo?.name }}</span>
        }
      }
      <input hidden (change)="onFileUploaded($event, 'private')" #fileInputPrivate accept=".pem" type="file"
             id="fileInputPrivate">
    </div>
    <div class="col-12 mt-5">
      @if (!privateKeyUploaded) {
        <textarea euiTextArea rows="7" placeholder="{{ t('importKeypair.pastePublicKeyPlaceholder') }}"
                  formControlName="publicKey"></textarea>
      } @else {
        <textarea euiTextArea rows="7" placeholder="{{ t('importKeypair.pastePublicKeyPlaceholder') }}"
                  [disabled]="true"></textarea>
      }

      @if (!publicKeyUploaded) {
        <button class="eui-u-mt-s" euiButton type="button" euiPrimary (click)="fileInputPublic.click()" [disabled]="publicKey !== ''">
          <eui-icon-svg icon="eui-file-upload"></eui-icon-svg>
          <span euiLabel>{{ t('importKeypair.uploadPublicKey') }}</span>
        </button>
      }
      @if (publicKeyUploaded) {
        <button class="eui-u-mt-s" euiButton type="button" euiPrimary (click)="onFileDeleted('public')">
          <eui-icon-svg icon="eui-delete-forever"></eui-icon-svg>
          <span euiLabel>{{ t('importKeypair.delete') }}</span>
        </button>

        @if (publicFileInfo?.name && publicFileInfo?.size) {
          <span class="ms-3">{{ publicFileInfo?.name }}</span>
        }
      }
      <input hidden (change)="onFileUploaded($event, 'public')" #fileInputPublic accept=".pem" type="file"
             id="fileInputPublic">
    </div>
    <hr class="py-0 my-0 mt-3">
    <div class="col-12 mt-3">
      <button class="eui-u-mt-s" euiButton type="submit" euiPrimary [disabled]="!fieldsValid()">
        {{ t('importKeypair.importKeyPair') }}
      </button>
    </div>
  </form>
</ng-container>
